Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Class CropImageFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.CropImageFilter

All Implemented Interfaces:
  Cloneable, ImageConsumer

public class CropImageFilter
extends ImageFilter

An ImageFilter class for cropping images. This class extends the basic ImageFilter Class to extract a given rectangular region of an existing Image and provide a source for a new image containing just the extracted region. It is meant to be used in conjunction with a FilteredImageSource object to produce cropped versions of existing images.

See Also:
  `FilteredImageSource`, `ImageFilter`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`CropImageFilter(int x, int y, int w, int h)` Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.

Method Summary
`void` | `setDimensions(int w, int h)` Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)` Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)` Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.
`void` | `setProperties(Hashtable props)` Passes along the properties from the source object after adding a property indicating the cropped region.

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setColorModel, setHints`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CropImageFilter

    public CropImageFilter(int x,
                           int y,
                           int w,
                           int h)

  Constructs a CropImageFilter that extracts the absolute rectangular region of pixels from its source Image as specified by the x, y, w, and h parameters.
  Parameters:
    `x` - the x location of the top of the rectangle to be extracted
    `y` - the y location of the top of the rectangle to be extracted
    `w` - the width of the rectangle to be extracted
    `h` - the height of the rectangle to be extracted

Method Detail

### setProperties

    public void setProperties(Hashtable props)

  Passes along the properties from the source object after adding a property indicating the cropped region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Overrides:
    `setProperties` in class `ImageFilter`

### setDimensions

    public void setDimensions(int w,
                              int h)

  Override the source image's dimensions and pass the dimensions of the rectangular cropped region to the ImageConsumer.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Overrides:
    `setDimensions` in class `ImageFilter`
  See Also:
    `ImageConsumer`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Determine whether the delivered byte pixels intersect the region to be extracted and passes through only that subset of pixels that appear in the output region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Overrides:
    `setPixels` in class `ImageFilter`
  Following copied from class: `java.awt.image.ImageFilter`
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)`

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Determine if the delivered int pixels intersect the region to be extracted and pass through only that subset of pixels that appear in the output region.

  Note: This method is intended to be called by the `ImageProducer` of the `Image` whose pixels are being filtered. Developers using this class to filter pixels from an image should avoid calling this method directly since that operation could interfere with the filtering operation.

  Overrides:
    `setPixels` in class `ImageFilter`
  Following copied from class: `java.awt.image.ImageFilter`
  See Also:
    `ImageConsumer.setPixels(int, int, int, int, java.awt.image.ColorModel, byte[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.